#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.17
visibility:           public
id:                   foldl-1.4.17-EAAmzceUEFUB1qnyLEjkHM
key:                  foldl-1.4.17-EAAmzceUEFUB1qnyLEjkHM
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  3b247095e2b89751fb081e125251dfc6
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
library-dirs:         /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.17-EAAmzceUEFUB1qnyLEjkHM
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    comonad-5.0.8-Fe2joVJe8LqBFkl83BAEwj containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    hashable-1.4.4.0-3NsDO7W5NBvlxFY7M8nbj
    primitive-0.7.4.0-LS07XpojUe32dExBFiZWCd
    profunctors-5.6.2-5oeUUg8GnIa7QJDd9nzKav
    random-1.2.1.2-3dTxaovgjM1Bg7GihufWfn
    semigroupoids-5.3.7-3U2IryA3hkA2mP7KcpKf47 text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-4c1XIGAoQE4JZSLkR4PXOi
    vector-0.13.1.0-7kspXIhsfaQEZQW3lsFmcE

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

